PDA

Visualizza la versione completa : Wine e Mepis


Bugu
22-05-2008, 23:34
Qualcuno mi aiuta ad installare wine su Mepis?
L'ho fatto da Synaptic ma non mi funziona...
Se lancio un'applicazione indicando di lanciarla con wine, mi esce il messaggio "could not find wine", ma il bello è che mentre mi esce il messaggio, il puntatore del mouse, al posto della clessidra, ha il "bicchierino" tipico di wine.
Qualche idea?
Thanks...

andy caps
23-05-2008, 00:30
controlla che lo abbia installato veramente

apt-get --reinstall install wine

Bugu
23-05-2008, 09:46
Grazie, così ho risolto.
:unz:

Bugu
27-06-2008, 12:14
Sto provando a reinstallare wine. Stavolta quando faccio apt-get install wine oppure apt-get --reinstall install wine mi risponde così:



root@alex-mepis:/home/alexxx# apt-get --reinstall install wine
Reading package lists... Done
Building dependency tree... Done
Package wine is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package wine has no installation candidate


Sapete dirmi perchè? Devo abilitare qualche repo? :bhò:

lion1810
27-06-2008, 12:39
wine per architettura x86 deve essere nei repo:

http://packages.debian.org/etch/wine

prova a postare il tuo souce.list

Bugu
27-06-2008, 12:48
# See sources.list(5) for more information

# This file should be edited through synaptic

# MEPIS improvements, overrides and updates--the MEPIS magic
deb ftp://ftp.mepis.com/mepis/ mepis-7.0 main

deb http://ftp.debian.org/debian/ etch main contrib non-free
deb-src http://ftp.debian.org/debian/ etch main contrib non-free

deb http://security.debian.org/ etch/updates main contrib non-free

deb http://volatile.debian.org/debian-volatile/ etch/volatile main contrib non-free

# Some Debian Multimedia software might be illegal in some jurisdictions
deb http://www.debian-multimedia.org/ etch main

# The VirtualBox non-free binary edition
# deb http://www.virtualbox.org/debian/ etch non-free

deb http://packages.debian.org/etch/wine


Come vedi ho provato ad aggiungere deb http://packages.debian.org/etch/wine ma se faccio apt-get update mi risponde così:



Err http://packages.debian.org mepis/main Packages
Sub-process bzip2 returned an error code (2)
Fetched 7514B in 10s (713B/s)
Failed to fetch http://packages.debian.org/etch/wine/dists/mepis/main/binary-amd64/Packages.bz2 Sub-process bzip2 returned an error code (2)
Reading package lists... Done
W: GPG error: http://packages.debian.org mepis Release: The following signatures were invalid: NODATA 1 NODATA 2
W: Couldn't stat source package list http://packages.debian.org mepis/main Packages (/var/lib/apt/lists/packages.debian.org_etch_wine_dists_mepis_main_bin ary-amd64_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.
root@alex-mepis:/home/alexxx# ICE default IO error handler doing an exit(), pid = 6047, errno = 0


Sarà perchè la mia Mepis è 64bit?

lion1810
27-06-2008, 12:58
secondo me si proprio perchè su debian wine è solo per x86 sul ramo stabile.
Quindi o aspetti (poco da quel che ho capito) lenny in stabile o
dist-uppgradi tutto in tensting o
fai il pinning dei due rami
http://guide.debianizzati.org/index.php/APT_uso_avanzato:_mixare_releases_diverse

comunque se aspetti arriverà franco, il capomastro di mepis italia :unz:

Bugu
27-06-2008, 13:02
Ok, grazie.
E spero che lui mi possa aiutare anche sul problema (http://forum.html.it/forum/showthread.php?s=&threadid=1251864) che ho con la wifi...

:bhò:

francofait
27-06-2008, 18:16
Originariamente inviato da lion1810
secondo me si proprio perchè su debian wine è solo per x86 sul ramo stabile.
Quindi o aspetti (poco da quel che ho capito) lenny in stabile o
dist-uppgradi tutto in tensting o
fai il pinning dei due rami
http://guide.debianizzati.org/index.php/APT_uso_avanzato:_mixare_releases_diverse

comunque se aspetti arriverà franco, il capomastro di mepis italia :unz:

Wine in Debian è disponibile da exprimental fino a stable .

Upgradare Mepis da etch a lenny non è na tragedia , richiede solo quel po calma e pazienza che richiede comunque anche l' upgrade da etch a lenny debian pura a 100% e niente altro.
http://www.mepisitalia.org/francofait/?p=48
Come guida non è niente di speciale, volutamente stringata al massimo ,perchè alla resa dei conti è solo un' upgrade etch-lenny e guide ben dettagliate in proposito in rete (anche per chi preferisce la console) ce ne sono già a peso, non ho quind ritenuto il caso di sprecarmi più di tanto per reinventare l' acqua calda.

lion1810
27-06-2008, 18:31
si ma lui ha installato la x86_64 percio' in stabile nun c'è! :D

Loading